## setsccserial 0.1

=== Makefile ===

CC		:= gcc
CFLAGS	:= -O2 -fomit-frame-pointer # -I.
LD		:= $(CC)
LDFLAGS := 

PREFIX	:= /usr
SBINDIR	:= $(PREFIX)/sbin
MANSECT	:= 8
MANDIR	:= $(PREFIX)/man/man$(MANSECT)

setSCCserial: setSCCserial.o
	$(LD) $(LDFLAGS) -o $@ $^

setSCCserial.o: setSCCserial.c

clean:
	rm -f setSCCserial setSCCserial.o *~ core

install:
	install -m755 -o root -g root setSCCserial $(SBINDIR)
	install -m644 -o root -g root setSCCserial.8 $(MANDIR)/setSCCserial.$(MANSECT)

## setsccserial 0.1-2

=== debian/changelog ===
setsccserial (0.1-2) unstable; urgency=low

  * Corrected FSF address in copyright file.
  * Updated Standards-Version to 2.4.0.0 (no changes)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 10 Feb 1998 12:13:58 +0100

setsccserial (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 8 Dec 1997 13:20:33 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Roman.Hodek@informatik.uni-erlangen.de"
End:

=== debian/control ===
Source: setsccserial
Section: utils
Priority: extra
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.4.0.0

Package: setsccserial
Architecture: m68k
Depends: ${shlibs:Depends}
Description: Little tool to configure the SCC in an Atari
 This tool allows you to inform the kernel that your SCC has
 non-standard clock inputs. setSCCserial recalculates the clock/speed
 tables used by the kernel and thus allows you to take advantage of
 the modified clocks. You do NOT need setSCCserial if you haven't
 modified (in hardware) the clock inputs of your SCC. The kernel
 doesn't the right thing in this case anyway.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=setsccserial

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install PREFIX=`pwd`/debian/tmp/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
